Subscription API โ
Subscribe (With Challenge) โ
prolog
POST /subscriptions/:list_idAuthorization Required โ
| OAuth | APIKey |
|---|---|
| No | No |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The numeric ID of the list |
Request Body โ
json
{
"email": "user@example.com",
"challenge-provider": "turnstile",
"challenge-token": "...",
"challenge-action": "subscribe"
}When challenge is enabled, challenge fields are required. Logged-in users can use the no-challenge endpoint.
Response โ
json
{
"data": 1,
"ts": 1723923923
}Subscribe (No Challenge) โ
prolog
POST /subscriptions/:list_id/no-challengeAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The numeric ID of the list |
Response โ
json
{
"data": 1,
"ts": 1723923923
}Unsubscribe โ
prolog
DELETE /subscriptions/:list_idAuthorization Required โ
| OAuth | APIKey |
|---|---|
| No | No |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list (slug is supported) |
Request Body (Optional) โ
json
{
"trace_id": "..."
}You can also pass trace_id as a query parameter.
Auth is optional when using trace_id. Logged-in users can omit trace_id.
Response โ
json
{
"data": 1,
"ts": 1723923923
}Update Email Settings โ
prolog
PUT /subscriptions/:list_id/emailAuthorization Required โ
| OAuth | APIKey |
|---|---|
| No | No |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The numeric ID of the list |
Request Body โ
json
{
"enabled": true
}Response โ
json
{
"data": 1,
"ts": 1723923923
}Disable Email Delivery (One-click) โ
prolog
POST /subscriptions/:list_id/deleteAuthorization Required โ
| OAuth | APIKey |
|---|---|
| No | No |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The numeric ID of the list |
Request Body (Optional) โ
json
{
"trace_id": "..."
}Response โ
json
{
"data": 1,
"ts": 1723923923
}Get Subscription Relation โ
prolog
GET /subscriptions/:list_id/relAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list (slug is supported) |
Response โ
json
{
"data": SubscriptionObject,
"ts": 1723923923
}Get My Subscriptions โ
prolog
GET /subscriptionsAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Response โ
json
{
"data": [SubscriptionObject, ...],
"ts": 1723923923
}Get Subscription Opponent โ
prolog
GET /subscriptions/opponent?trace_id=:trace_idAuthorization Required โ
| OAuth | APIKey |
|---|---|
| No | No |
Query Parameters โ
| Parameter | Type | Description |
|---|---|---|
trace_id | string | Delivery trace ID for email-based lookup. |
list_id | uint64 | List ID for logged-in user lookup (optional). |
Response โ
json
{
"data": {
"list": ChannelObject,
"sub": SubscriptionObject
},
"ts": 1723923923
}Get List Subscriptions โ
prolog
GET /lists/:list_id/subscriptions?offset=:offset&limit=:limit&email=:email&premium=:premiumAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list |
Query Parameters โ
| Parameter | Type | Description |
|---|---|---|
offset | number | The offset of the subscription list |
limit | number | The limit of the subscription list |
email | string | Filter by subscriber email |
premium | string | Filter by premium status |
Response โ
json
{
"data": {
"pagination": {
"total": 0,
"offset": 0,
"next_offset": 100,
"limit": 100
},
"items": [SubscriptionObject, ...]
},
"ts": 1723923923
}Transfer Members โ
prolog
POST /subscriptions/:list_id/members/:user_id/transfer?dst_list_id=:dst_list_idAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list |
user_id | uint64 | The ID of the user |
dst_list_id | uint64 | The ID of the destination list |
Response โ
json
{
"data": 1,
"ts": 1723923923
}Delete Member โ
prolog
DELETE /subscriptions/:list_id/members/:user_idAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list |
user_id | uint64 | The ID of the user |
Response โ
json
{
"data": 1,
"ts": 1723923923
}Update Email Sending Settings โ
prolog
PUT /subscriptions/:list_id/members/:user_id/emailAuthorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list |
user_id | uint64 | The ID of the user |
Request Body โ
json
{
"enabled": true // true or false
}Response โ
json
{
"data": 1,
"ts": 1723923923
}List Member Subscriptions โ
prolog
GET /subscriptions/:list_id/members/:user_id/subsThis API will list all the subscriptions owned by the same channel owner of given member id
Authorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list |
user_id | uint64 | The ID of the user |
Response โ
json
{
"data": [ SUBSCRIPTION_OBJECT ... ],
"ts": 1723923923
}*Add Member โ
prolog
POST /auxilia/subscriptions/:list_id/members/addThis API is only available to the Quaily+ plan users
Authorization Required โ
| OAuth | APIKey |
|---|---|
| Yes | Yes |
Parameters โ
| Parameter | Type | Description |
|---|---|---|
list_id | uint64 | The ID of the list |
Request Body โ
json
{
"members": [
{
"email": "test@example.com",
"name": "Test User"
},
{
"email": "test2@example.com",
"name": "Test User 2"
}
]
}Response โ
json
{
"data": 1,
"ts": 1723923923
}